org.richfaces.resource.optimizer.resource.scan.impl.reflections

## Class ReflectionsExt

- java.lang.Object
- - org.reflections.ReflectionUtils
  - - org.reflections.Reflections
    - - org.richfaces.resource.optimizer.resource.scan.impl.reflections.ReflectionsExt

-     public class ReflectionsExt
      extends org.reflections.Reflections

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class org.reflections.Reflections

      `configuration`

    - ### Fields inherited from class org.reflections.ReflectionUtils

      `primitiveDescriptors, primitiveNames, primitiveTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionsExt()`
    `ReflectionsExt(org.reflections.Configuration configuration)`
    `ReflectionsExt(String prefix, org.reflections.scanners.Scanner... scanners)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Class<?>>` | `getMarkedClasses()`

    - ### Methods inherited from class org.reflections.Reflections

      `collect, collect, collect, collect, collect, getConverters, getFieldsAnnotatedWith, getFieldsAnnotatedWith, getMethodsAnnotatedWith, getMethodsAnnotatedWith, getResources, getResources, getStore, getSubTypesOf, getTypesAnnotatedWith, getTypesAnnotatedWith, getTypesAnnotatedWith, getTypesAnnotatedWith, merge, save, save, scan`

    - ### Methods inherited from class org.reflections.ReflectionUtils

      `areAnnotationMembersMatching, areAnnotationMembersMatching, forName, forNames, getAllSuperTypes, getAllSuperTypesAnnotatedWith, getMatchingAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionsExt

          public ReflectionsExt()

    - #### ReflectionsExt

          public ReflectionsExt(org.reflections.Configuration configuration)

    - #### ReflectionsExt

          public ReflectionsExt(String prefix,
                        org.reflections.scanners.Scanner... scanners)

  - ### Method Detail

    - #### getMarkedClasses

          public Collection<Class<?>> getMarkedClasses()

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.